package body MSHTML.IHTMLInputButtonElement_Object is

   function Get_type
     (This : IHTMLInputButtonElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLInputButtonElement_Get_type);
   end Get_type;

   procedure Put_value
     (This : IHTMLInputButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLInputButtonElement_Put_value,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_value;

   function Get_value
     (This : IHTMLInputButtonElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLInputButtonElement_Get_value);
   end Get_value;

   procedure Put_name
     (This : IHTMLInputButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLInputButtonElement_Put_name,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_name;

   function Get_name
     (This : IHTMLInputButtonElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLInputButtonElement_Get_name);
   end Get_name;

   procedure Put_status
     (This : IHTMLInputButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLInputButtonElement_Put_status,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_status;

   function Get_status
     (This : IHTMLInputButtonElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLInputButtonElement_Get_status);
   end Get_status;

   procedure Put_disabled
     (This : IHTMLInputButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLInputButtonElement_Put_disabled,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_disabled;

   function Get_disabled
     (This : IHTMLInputButtonElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLInputButtonElement_Get_disabled);
   end Get_disabled;

   function Get_form
     (This : IHTMLInputButtonElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLInputButtonElement_Get_form);
   end Get_form;

   function createTextRange
     (This : IHTMLInputButtonElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, IHTMLInputButtonElement_createTextRange);
   end createTextRange;

end MSHTML.IHTMLInputButtonElement_Object;

